Subject: No woman can make a better wife than a Russian lady √ pick one here.

From: [email-masked]
Date: Tue, 12 Jan 2010 19:03:23 +0100

I can do for you is - what can not no girl! Break into this site